/* Tooltip Widget */

.tooltip { position: relative; }

.tooltip:hover:after, .tooltip:focus:after {
  position: absolute;
  bottom: 1.5em;
  right: 0.1em;
  padding: 0.4em;
  width: 17em;
  color: #f5f5f5;
  background-color: #000000;
  opacity: 0.7;
  border: 0.1em solid #f5f5f5;
  border-radius: 0.1em;
  font-size: 0.8em;
  content: attr(data-msg);
}

aside .tooltip:hover:after, aside .tooltip:focus:after {
  left: -5em;
}

h2 .tooltip:hover:after, h2 .tooltip:focus:after {
  left: auto;
  right: -8em;
}

/* Tablet and up */
@media (min-width: 40em) {
  .tooltip:hover:after, .tooltip:focus:after {
    width: 30em;
  }

  aside .tooltip:hover:after, aside .tooltip:focus:after {
    left: auto;
  }

  h2 .tooltip:hover:after, h2 .tooltip:focus:after {
    left: 1em;
  }
}
